# -*- coding:utf8 -*- #
# -----------------------------------------------------------------------------------
# ProjectName:   LightEditProject 
# FileName:     conftest 
# Author:       
# Datetime:    2023/8/7 22:34 
# Description： 
# 命名规范：文件名全小写+下划线，类名大驼峰，方法和变量小写+下划线连接， 
# 变量用名词，方法用动词 !!!!!
# -----------------------------------------------------------------------------------
import pytest

from ApiAuotTest.common.db import DB
from ApiAuotTest.requests_method.requests_method import RequestsMethod


@pytest.fixture(scope="session")
def req_fix():
    req = RequestsMethod()
    yield req


@pytest.fixture(scope="session")
def db_fix():
    db = DB()
    yield db
    db.close()


def pytest_collection_modifyitems(items):
    # item表示每个测试用例，解决用例名称中文显示问题
    for item in items:
        item.name = item.name.encode("utf-8").decode("unicode-escape")
        item._nodeid = item._nodeid.encode("utf-8").decode("unicode-escape")
